      program spacetrip ! BB Sep 25 2016.
c set n: times in years.
      parameter(n=1,iuo=6,c=3.0E08,g=9.81) ! c in m/s, g in m/s^2.
c     parameter(n=5,iuo=6,c=3.0E08,g=9.81) ! c in m/s, g in m/s^2.
      write(iuo,'(/," Quarter Trip: Time in years =",i3,/)') n
      year=365.0*24.0*3600.0
      tau=n*year
      arg=g*tau/c
      write(iuo,'(" sinh argument:    ",f14.5)') arg
      t=(c/g)*sinh(arg)
      write(iuo,'(" Time in seconds:      ",g14.5)') t
      t=t/year
      write(iuo,'(" Time in years:       ",f9.3)') t
      t=4*t
      write(iuo,'(/," Entire trip [years]: ",f9.3,/)') t
      x1=(c/g)*(cosh(arg)-1.0)/year ! c^2/(c*year)=c.
      write(iuo,'(" Quarter distance [lyears]:",f9.3)') x1
      x=2*x1
      write(iuo,'(" Max distance [lyears]:    ",f9.3,/)') x
      stop
      end
